phing-mappers

# Class: FileNameMapper Source Location: /mappers/FileNameMapper.php
### Interface Overview
Interface for filename mapper classes. #### Author(s): Hans Lellelid <hans@xmpl.org> Andreas Aderhold, andi@binarycloud.com #### Version: $Revision: 526 $ | ### Methods main setFrom setTo
### Class Details [line 30] Interface for filename mapper classes. #### Tags:
author: | Hans Lellelid <hans@xmpl.org>
author: | Andreas Aderhold, andi@binarycloud.com
version: | $Revision: 526 $
[ Top ] ### Class Methods ### method main [line 38]
`array main( mixed $sourceFileName)`
The mapper implementation. #### Tags:
return: | The data after the mapper has been applied; must be in array format (for some reason).
access: | public
#### Parameters:
mixed | $sourceFileName | The data the mapper works on.
[ Top ] ### method setFrom [line 57]
`void setFrom( string $from)`
Accessor. Sets the from property. What this mapper should recognize. The actual implementation is dependent upon the child class #### Tags:
access: | public
#### Parameters:
string | $from | On what this mapper should work
[ Top ] ### method setTo [line 47]
`void setTo( string $to)`
Accessor. Sets the to property. The actual implementation depends on the child class. #### Tags:
access: | public
#### Parameters:
string | $to | To what this mapper should convert the from string
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:55 +0200 by phpDocumentor 1.4.3